<html>

<head>
  <!-- CSS only -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
  <!-- JavaScript Bundle with Popper -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous">
  </script>
</head>

<body>
  <form action="./second.html">
    <input type="text" class="txt1" />
    <input type="text" class="txt1" />
    <input type="text" class="txt1" />
    <input type="button" id="btn" value="Click me" />
    <input type="submit" id="btn1"/> 
  </form>
  <p id="spn"></p>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Navbar</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="#">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown"
              aria-expanded="false">
              Dropdown
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              <li><a class="dropdown-item" href="#">Action</a></li>
              <li><a class="dropdown-item" href="#">Another action</a></li>
              <li>
                <hr class="dropdown-divider">
              </li>
              <li><a class="dropdown-item" href="#">Something else here</a></li>
            </ul>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled">Disabled</a>
          </li>
        </ul>
        <form class="d-flex">
          <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
          <button class="btn btn-outline-success" type="submit">Search</button>
        </form>
      </div>
    </div>
  </nav>

  <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
    <div class="carousel-indicators">
      <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active"
        aria-current="true" aria-label="Slide 1"></button>
      <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1"
        aria-label="Slide 2"></button>
      <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2"
        aria-label="Slide 3"></button>
    </div>
    <div class="carousel-inner">
      <div class="carousel-item active">
        <img src="https://picsum.photos/200/300" class="d-block w-100" alt="...">
        <div class="carousel-caption d-none d-md-block">
          <h5>First slide label</h5>
          <p>Some representative placeholder content for the first slide.</p>
        </div>
      </div>
      <div class="carousel-item">
        <img src="https://picsum.photos/200/300" class="d-block w-100" alt="...">
        <div class="carousel-caption d-none d-md-block">
          <h5>Second slide label</h5>
          <p>Some representative placeholder content for the second slide.</p>
        </div>
      </div>
      <div class="carousel-item">
        <img src="https://picsum.photos/200/300" class="d-block w-100" alt="...">
        <div class="carousel-caption d-none d-md-block">
          <h5>Third slide label</h5>
          <p>Some representative placeholder content for the third slide.</p>
        </div>
      </div>
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Next</span>
    </button>
  </div>
  <form method="post" action="./second.html">
    <label for="fname">First name:</label><br>
    <input type="text" name="fname" value="John"><br>
    <label for="lname">Last name:</label><br>
    <input type="text" name="lname" value="Doe"> <br />
    <label for="lname">Gender:</label><br>
    <input type="radio" name="gender" value="M" /> Male
    <input type="radio" name="gender" value="F" checked /> Female
    <label for="lname">Technology:</label><br>
    <input type="checkbox" name="tech" value="t1" checked /> HTML
    <input type="CHECKBOX" name="tech" value="t2" /> CSS
    <input type="checkbox" name="tech" value="t3" /> JS
    <INPUT type="submit" value="submit form" />
    <input type="reset" value="reset form" />
    <inPUT type="button" class="btn btn-primary" value="click button" />
  </form>

  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">First</th>
        <th scope="col">Last</th>
        <th scope="col">Handle</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <th scope="row">1</th>
        <td>Mark</td>
        <td>Otto</td>
        <td>@mdo</td>
      </tr>
      <tr>
        <th scope="row">2</th>
        <td>Jacob</td>
        <td>Thornton</td>
        <td>@fat</td>
      </tr>
      <tr>
        <th scope="row">3</th>
        <td colspan="2">Larry the Bird</td>
        <td>@twitter</td>
      </tr>
    </tbody>
  </table>

  <div class="row">
    <div style="border:solid;" class="col-sm-6 col-md-4 col-lg-12">Div 1</div>
    <div style="border:solid;" class="col-sm-6 col-md-4 col-lg-12">Div 1</div>
    <div style="border:solid;" class="col-sm-6 col-md-4 col-lg-12">Div 1</div>

  </div>
  <script>
    document.querySelector("#btn").addEventListener("click", function () {
      console.log("first")
      document.querySelector("#spn").style.color = 'yellow'
      document.querySelector("#spn").style.backgroundColor = 'blue'
    })

    document.querySelector("#btn").addEventListener("click", function () {
      console.log("second")
      document.querySelector("#spn").innerHTML = "<u>" + document.querySelector("#txt").value + "</u>"
      document.querySelector("#spn").title = "My title1"
    })

    var arr = document.querySelectorAll(".txt1");
    for (var i = 0; i < arr.length; i++) {
      arr[i].addEventListener("focus", function () {
        this.style.backgroundColor = 'yellow'
      })
    }
    for (var i = 0; i < arr.length; i++) {
      arr[i].addEventListener("blur", function () {
        this.style.backgroundColor = 'white'
      })
    }

    document.querySelector("form").addEventListener("submit",function(event){
      console.log(event)
      event.preventDefault()
      alert("submitted")
    })
  </script>

</body>

</html>